Page MenuHomePhabricator

Echo notifications: when updating Alerts display red momentarily before switching to gray
Closed, ResolvedPublic

Description

  1. Log in as a user A and click on Alerts to make them grey(status - 'seen'). Stay on a page.
  2. In a different browser, log in as a user B and make some actions that will send Alerts to the user A.
  3. On a page where user A is logged, click on Alerts - for a split second, you'll see a red icon displaying a number of received alerts and only then all Alerts go to the 'seen' status(grey).

The screencast is attached.

Details

Related Gerrit Patches:

Event Timeline

Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added subscribers: Etonkovidova, Mooeypoo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 16 2015, 10:05 PM
DannyH triaged this task as Normal priority.Sep 16 2015, 11:14 PM
DannyH added a subscriber: DannyH.
DannyH raised the priority of this task from Normal to High.Sep 17 2015, 5:47 PM
Mooeypoo claimed this task.Sep 17 2015, 8:37 PM

Change 240294 had a related patch set uploaded (by Mooeypoo):
Prevent the badge icon from flashing red when updating notifications

https://gerrit.wikimedia.org/r/240294

Mooeypoo lowered the priority of this task from High to Normal.Sep 23 2015, 5:38 PM
Mooeypoo lowered the priority of this task from High to Normal.

Change 240294 merged by jenkins-bot:
Prevent the badge icon from flashing red when updating notifications

https://gerrit.wikimedia.org/r/240294

Checked in betalabs.

DannyH closed this task as Resolved.Sep 25 2015, 8:43 PM